document.addEventListener('DOMContentLoaded', function() {
    // Add smooth scrolling
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Add animation to balance
    const balanceElement = document.querySelector('.amount');
    if (balanceElement) {
        const finalAmount = parseFloat(balanceElement.textContent.replace('$', '').replace(',', ''));
        let currentAmount = 0;
        const duration = 1000;
        const steps = 60;
        const increment = finalAmount / steps;
        
        const animation = setInterval(() => {
            currentAmount += increment;
            if (currentAmount >= finalAmount) {
                clearInterval(animation);
                currentAmount = finalAmount;
            }
            balanceElement.textContent = `$${currentAmount.toFixed(2)}`;
        }, duration / steps);
    }

    // Add hover effect to transaction items
    document.querySelectorAll('.transaction-item').forEach(item => {
        item.addEventListener('mouseenter', function() {
            this.style.transform = 'translateX(10px)';
            this.style.transition = 'transform 0.3s ease';
        });
        
        item.addEventListener('mouseleave', function() {
            this.style.transform = 'translateX(0)';
        });
    });
});
